Juniper Network Connect

Discussion in 'Mac Applications and Mac App Store' started by NetShroud, Feb 14, 2010.

  1. macrumors newbie

    NetShroud

    Joined:
    Feb 4, 2010
    Location:
    Australia
    #1
    Does anyone know if Juniper Network Connect supports Snow Leopard? I can't find any info on their website, but maybe I'm just looking in the wrong spot(s).
     
  2. macrumors 6502

    Joined:
    Mar 15, 2008
    Location:
    Loveland, CO
    #2
    Yep!

    I am using Network Connect, 6.5.0 (14599) to connect to work on my SL based MBP ... so yes, it is supported.
     
  3. macrumors 6502a

    Joined:
    Feb 4, 2008
    #3
    FYI - my employer states the version we use (6.3.0) is NOT supported and user reports indicate that is true (unstable connections). This info is provided to give a baseline of the minimum version needed for SL.
     
  4. thread starter macrumors newbie

    NetShroud

    Joined:
    Feb 4, 2010
    Location:
    Australia
    #4
    Hmm...

    I have no clue how it works, but is it be possible to use the latest client to connect to an older server?
     

Share This Page